{----------------------------------------------------------------------------}
{                                                                            }
{  DCAL Macro WINDDOOR - 3D Windows and doors.                               }
{  Version 3.6a  7/1/88                                                      }
{                                                                            }
{  Written by: Ken Parrish, Tim Dunne, Software Development                  }
{  Copyright CADKEY, INC. (c) 1988                                           }
{                                                                            }
{----------------------------------------------------------------------------}

PROCEDURE dortype_head_it;

VAR
	header : str80;

BEGIN
header := '$Header:   C:/dcal/aecmod/aecsourc/dortype.inv   1.2   08 Mar 1996  9:15:38  $';
END dortype_head_it;

#message 'Including file dortype.inc ...'

CONST
   dtype_single      =  0;
   dtype_double      =  1;
   dtype_bifold      =  2;
   dtype_dblbifld    =  3;
   dtype_sliding     =  4;
   dtype_pocket      =  5;


TYPE
   door_type = RECORD
                  sillheight     : real;
                  headheight     : real;
                  doorheight     : real;      {used in preview}
                  doorwidth      : real;      {used in preview}
                  wallthick      : real;

                  doortype       : integer; {int const value}
                  percentopen    : integer; {value should be 0 to 100 }

                  doheadcasing   : boolean;
                  casingattr     : dispattr;
                  hcasingthick   : real;
                  hcasingwidth   : real;
                  hcasingofs     : real;

                  dojambcasing   : boolean;
                  jcasingthick   : real;
                  jcasingwidth   : real;

                  doheadtrim     : boolean;
                  trimattr       : dispattr;
                  htrimthick     : real;
                  htrimwidth     : real;
                  htrimofs       : real;

                  dojambtrim     : boolean;
                  jtrimthick     : real;
                  jtrimwidth     : real;

                  doheader       : boolean;
                  headattr       : dispattr;
                  headthick      : real;
                  hwidtheqwall   : boolean; { make width = wallthick }
                  headwidth      : real;

                  dojamb         : boolean;
                  jambattr       : dispattr;
                  jambthick      : real;
                  jwidtheqwall   : boolean; { make width = wallthick }
                  jambwidth      : real;

                  dosill         : boolean;
                  sillattr       : dispattr;
                  sillthick      : real;
                  silledgethick  : real;
                  sillindis      : real;
                  silliodis      : real;
                  sillsidedis    : real;

                  dostop         : boolean;
                  stopattr       : dispattr;
                  stopthick      : real;
                  stopwidth      : real;

                  dodoor         : boolean;
                  doorattr       : dispattr;
                  doorthick      : real;
                  doorflush      : boolean;
                  doorofs        : real;
                  doorHingedRight: boolean;

                  doknob         : boolean;
                  knobattr       : dispattr;
                  knobextn       : real;
                  knobdiam       : real;
                  knobofs        : real;
                  knobheight     : real;
                  knobinterior   : boolean;
                  knobexterior   : boolean;

                  dodraw         : boolean;                    
                  cutwall        : boolean;                    
                  walls          : walladdrs;
               END;


