{----------------------------------------------------------------------------}
{                                                                            }
{  DCAL Macro WINDDOOR - 3D Windows and doors.                               }
{  Version 3.6a  7/1/88                                                      }
{                                                                            }
{  Written by: Ken Parrish, Tim Dunne, Software Development                  }
{  Copyright CADKEY, INC. (c) 1988                                           }
{                                                                            }
{----------------------------------------------------------------------------}

PROCEDURE winddoor_head_it;

VAR
	header : str80;

BEGIN
header := '$Header:   C:/dcal/aecmod/aecsourc/winddoor.inv   1.2   08 Mar 1996  9:15:38  $';
END winddoor_head_it;

#message 'Including file winddoor.inc ...'

CONST
   episilon          =  1.0E-10;
   zero              =  0.0;
   onefoot           =  384.0;
   oneinch           =  32.0;
   onehalf           =  0.5;

   inmode_vert       =  0;
   inmode_horz       =  1;

   lft               =  0;
   rht               =  1;
   top               =  2;
   bot               =  3;

   {constants for line color attributes}
   headclr     =  clrltmgta;
   jambclr     =  clrmgta;
   sillclr     =  clrltblue;
   caseclr     =  clrred;
   trimclr     =  clrltred;
   stopclr     =  clrcyan;
   doorclr     =  clrwhite;
   hndlclr     =  clryellow;
   sashclr     =  clrcyan;
   muntclr     =  clrwhite;
   paneclr     =  clryellow;


TYPE
   pntarr4  =  ARRAY [0..3] OF point;

   pntarr8  =  ARRAY [0..7] OF point;

   dispattr =  RECORD
                  color          : integer;
                  width          : integer;
                  linetype       : integer;
                  spacing        : real;
               END;

   mold_type = RECORD
                  moldattr       : dispattr;
                  moldtype       : integer;
                  moldthick      : real;
                  moldheight     : real;
                  dodraw         : boolean;
               END;

	walladdrs = RECORD
		num : integer;
		w : ARRAY[1..6] OF entaddr;
		v : ARRAY[1..6] OF entaddr;
	END;


