{----------------------------------------------------------------------------}
{                                                                            }
{  DCAL Macro WINDDOOR - 3D Windows and doors.                               }
{  Version 3.6a  7/1/88                                                      }
{                                                                            }
{  Written by: Ken Parrish, Tim Dunne, Software Development                  }
{  Copyright CADKEY, INC. (c) 1988, 1889, 1990                               }
{                                                                            }
{----------------------------------------------------------------------------}

PROCEDURE wintype_head_it;

VAR
	header : str80;

BEGIN
header := '$Header:   C:/dcal/aecmod/aecsourc/wintype.inv   1.2   08 Mar 1996  9:15:36  $';
END wintype_head_it;

#message 'Including file wintype.inc ...'

CONST
   {constants for window types}
   wtype_fixed       = 0;
   wtype_casement    = 1;
   wtype_awning      = 2;
   wtype_hopper      = 3;
   wtype_doublehung  = 4;
   wtype_sliding     = 5;

   {constants for sash edge muntin types}
   munt_fulledge     = 0;
   munt_halfedge     = 1;
   munt_noedge       = 2;

TYPE
   wind_type = RECORD
                  sillheight     : real;
                  headheight     : real;
                  wallthick      : real;

                  windtype       : integer; {int const value}
                  percentopen    : integer; {value should be 0 to 100 }

                  doheadcasing   : boolean;
                  casingattr     : dispattr;
                  hcasingthick   : real;
                  hcasingwidth   : real;
                  hcasingofs     : real;

                  dojambcasing   : boolean;
                  jcasingthick   : real;
                  jcasingwidth   : real;

                  dosillcasing   : boolean;
                  scasingthick   : real;
                  scasingwidth   : real;
                  scasingofs     : real;

                  doheadtrim     : boolean;
                  trimattr       : dispattr;
                  htrimthick     : real;
                  htrimwidth     : real;
                  htrimofs       : real;

                  dojambtrim     : boolean;
                  jtrimthick     : real;
                  jtrimwidth     : real;

                  dosilltrim     : boolean;
                  strimthick     : real;
                  strimwidth     : real;
                  strimofs       : real;

                  doheader       : boolean;
                  headattr       : dispattr;
                  headthick      : real;
                  hwidtheqwall   : boolean; { make width = wallthick }
                  headwidth      : real;

                  dojamb         : boolean;
                  jambattr       : dispattr;
                  jambthick      : real;
                  jwidtheqwall   : boolean; { make width = wallthick }
                  jambwidth      : real;

                  dosill         : boolean;
                  sillattr       : dispattr;
                  sillthick      : real;
                  sillindis      : real;
                  silliodis      : real;
                  sillsidedis    : real;

                  dosash         : boolean;
                  sashattr       : dispattr;
                  sashthick      : real;
                  sashwidth      : real;
                  sashCentered   : boolean;
                  sashofs        : real;

                  domuntins      : boolean;
                  muntinattr     : dispattr;
                  muntinthick    : real;
                  muntinwidth    : real;
                  muntinCentered : boolean;
                  muntinofs      : real;
                  muntinslab     : boolean;
                  edgeMuntin     : integer;  {int const value}

                  doglass        : boolean;
                  glassattr      : dispattr;
                  glassthick     : real;
                  glassCentered  : boolean;
                  glassofs       : real;
                  panenumvert    : integer;
                  panenumhori    : integer;

                  dodraw         : boolean;
                  cutwall        : boolean;
                  walls          : walladdrs;

               END;


