{----------------------------------------------------------------------------}
{                                                                            }
{  Declarations for DCAL hatching routines.                                  }
{  Version 3.6b  7/1/88                                                      }
{                                                                            }
{  Version 4.00  01mar90   DAG                                               }
{                                                                            }
{  (C) Copyright CADKEY Inc. 1988, 1989, 1990                                }
{                                                                            }
{----------------------------------------------------------------------------}

#message 'Including file _hatch.inc ...'

CONST
   maxDash         = 6;
   htype_normal    = 1;
   htype_outer     = 2;
   htype_ignore    = 3;

TYPE
   scanLineType    = RECORD
                        ang       : real;
                        origin    : point;
                        delta     : point;
                        numdash   : integer;
                        dash      : ARRAY [1..maxDash] OF real;
                        dashDraw  : ARRAY [1..maxDash] OF boolean;
                        dashPart  : ARRAY [1..maxDash] OF point;  { See Note }
                        dashTotl  : real; { See Note }
                     END;

{ NOTE:  These fields need not be initialized.
         They are used internally by hatch_mode. }

PROCEDURE hatch_mode (mode   : IN OUT mode_type;
                      sl     : IN OUT scanLineType;
                      zbase  : IN real;
                      zhite  : IN real;
                      orgin  : IN point;
                      ang    : IN real;
                      scale  : IN real;
                      htype  : IN integer;
                      lyr    : IN layer;
                      min    : IN point;
                      max    : IN point;
                      dobrk  : IN boolean;
                      brk    : IN OUT integer;
                      draw   : IN boolean);                       BUILTIN 454;


