{----------------------------------------------------------------------------}
{                                                                            }
{  Declarations for DCAL polyvert management routines.                       }
{  Version 3.6b  7/1/88                                                      }
{                                                                            }
{  Version 4.00  01mar90   DAG                                               }
{                                                                            }
{  (C) Copyright CADKEY Inc. 1988, 1989, 1990                                }
{                                                                            }
{----------------------------------------------------------------------------}

#message 'Including file _pline.inc ...'

PROCEDURE polyvert_init (pv : IN OUT polyvert);                   BUILTIN 455;

PROCEDURE polyvert_add (pv : IN OUT polyvert;
                        frst, last : IN OUT pvtaddr);             BUILTIN 456;

PROCEDURE polyvert_ins (pv : IN OUT polyvert;
                        locaddr : IN pvtaddr;
                        frst, last : IN OUT pvtaddr);             BUILTIN 469;

FUNCTION  polyvert_get (pv : IN OUT polyvert;
                        addr, frst, last : pvtaddr) : boolean;    BUILTIN 457;

PROCEDURE polyvert_del (pv : IN OUT polyvert;
                        frst, last : IN OUT pvtaddr);             BUILTIN 458;

PROCEDURE polyvert_update (pv : IN OUT polyvert);                 BUILTIN 459;

PROCEDURE polyvert_copy (oldfrst, oldlast, newfrst,
                         newlast : IN OUT pvtaddr);               BUILTIN 460;

FUNCTION  polyvert_count (frst : IN pvtaddr) : integer;           BUILTIN 461;

PROCEDURE bulge_to_arc (pnt1, pnt2 : IN point;
                        bulge : IN real;
                        center : OUT point;
                        radius, begang, endang : OUT real;
                        ccw : OUT boolean);                       BUILTIN 462;

PROCEDURE arc_to_bulge (center : IN point;
                        radius, begang, endang : IN real;
                        ccw : IN boolean;
                        pnt1, pnt2 : OUT point;
                        bulge : OUT real);                        BUILTIN 463;

PROCEDURE polyvert2ent (pv : IN polyvert;
                        ent : OUT entity);                        BUILTIN 464;

PROCEDURE ent2polyvert (ent : IN entity;
                        pv : OUT polyvert;
                        ccw : IN boolean);                        BUILTIN 465;

FUNCTION getPolyline (msg : IN str80; viewmode : IN integer;
                      dodraw, doclosed : IN boolean;
                      init, isclosed : IN OUT boolean;
                      frst, last : IN OUT pvtaddr;
                      key : OUT integer) : integer;               BUILTIN 466;

FUNCTION disfrompolyvert (pv : IN OUT polyvert;
                          tstpnt : IN point) : real;              BUILTIN 470;


FUNCTION pline_area  (frst, last : IN pvtaddr) : real;            BUILTIN 481;

FUNCTION pline_perim (frst, last : IN pvtaddr) : real;            BUILTIN 482;

PROCEDURE pline_centroid (frst, last : IN pvtaddr;
                          totarea : IN OUT real;
                          frstmoment, centermass : IN OUT point;
                          first, add : IN boolean);               BUILTIN 483;
