{----------------------------------------------------------------------------}
{                                                                            }
{  Declarations for DCAL view management routines.                           }
{  Version 3.6b  7/1/88                                                      }
{                                                                            }
{  Version 4.00  01mar90   DAG                                               }
{                                                                            }
{  (C) Copyright CADKEY Inc. 1988, 1989, 1990                                }
{                                                                            }
{----------------------------------------------------------------------------}

#message 'Including file _views.inc ...'


{ View database management routines. }

PROCEDURE view_init (view : IN OUT view_type);                    BUILTIN 407;

FUNCTION  view_first : viewaddr;                                  BUILTIN 380;

FUNCTION  view_last  : viewaddr;                                  BUILTIN 468;

FUNCTION  view_get (view : IN OUT view_type; 
                    addr : IN viewaddr) : boolean;                BUILTIN 383;

PROCEDURE view_add (view : IN OUT view_type);                     BUILTIN 381;

PROCEDURE view_del (view : IN OUT view_type);                     BUILTIN 382;

PROCEDURE view_update (view : IN OUT view_type);                  BUILTIN 384;


{ View control and interrogation routines. }

PROCEDURE view_setcurr (view : IN OUT view_type; 
                        redraw : IN boolean);                     BUILTIN 385;

PROCEDURE view_display (view : IN OUT view_type;
                         setlyrs, redraw : IN boolean);           BUILTIN 486;


PROCEDURE view_getcurr (view : IN OUT view_type);                 BUILTIN 386;

FUNCTION  view_currmode : integer;                                BUILTIN 408;

PROCEDURE view_checkmode (projtype : IN integer);                 BUILTIN 391;

PROCEDURE view_setmode (projtype : IN integer; 
                        refresh : IN boolean);                    BUILTIN 467;

PROCEDURE scale_get (scalenum : IN integer; 
                     scale : OUT real; name : OUT string);        BUILTIN 392;

FUNCTION  scale_curr : integer;                                   BUILTIN 393;

PROCEDURE inmat_curr (inmat : OUT modmat);                        BUILTIN 484;


{ View calculation routines. }

PROCEDURE view_calcorth (view : IN OUT view_type;
                         center : IN point;
                         scalenum : IN integer);                  BUILTIN 387;

PROCEDURE view_calcpara (view : IN OUT view_type;
                         center : IN point;
                         planang, riseang : IN real;
                         scalenum : IN integer);                  BUILTIN 388;

PROCEDURE view_calcpers (view : IN OUT view_type;
                         eyepnt, centpnt : IN point;
                         coneang : IN real;
                         scrncent : IN point;
                         scalenum : IN integer);                  BUILTIN 390;

PROCEDURE view_calcoblq (view : IN OUT view_type;
                         center : IN point;
                         planang, shearang, shearfact : IN real;
                         oblqtype, scalenum : IN integer);        BUILTIN 389;


PROCEDURE lyr_viewfile  (lyrname : IN string; 
                         refresh, doextents : IN boolean;
                         imagsize : IN real);                     BUILTIN 444;
